pcl::traits::decomposeArray< T > Struct Template Reference

`#include <pcl/point_traits.h>`

## Public Types

using | type = std::remove_all_extents_t< T >

## Static Public Attributes

static const std::uint32_t | value = sizeof (T) / sizeof (type)

## Detailed Description

### template<typename T>
struct pcl::traits::decomposeArray< T >

Definition at line 99 of file point_traits.h.

## Member Typedef Documentation

## type

template<typename T >

using pcl::traits::decomposeArray< T >::type = std::remove_all_extents_t<T>

Definition at line 101 of file point_traits.h.

## Member Data Documentation

## value

template<typename T >

const std::uint32_t pcl::traits::decomposeArray< T >::value = sizeof (T) / sizeof (type)

static

Definition at line 102 of file point_traits.h.

The documentation for this struct was generated from the following file:

- pcl/point_traits.h